function [k_params,gamma_params] = read_pd_params(data_dir,dataset_name)
%READ_PD_PARAMS 

%load fils in data_dir
feature_files = dir(data_dir);

k_params     = [];
gamma_params = [];

%folder format: data_dir\<dataset_name>_k_<k>_gamma_<gamma>\
for i = 1:length(feature_files)
   curr_str = feature_files(i).name;
   
   %check if dataset is in name skip if not
   if (~contains(curr_str,dataset_name))
       continue;
   end
   
   %check if k_ and gamma_ is in name, skip if not 
   if (~contains(curr_str,'k_') | ~contains(curr_str,'gamma_'))
       continue;
   end
   
   %if it is a pd dataset, extract the k and gamma  param
   
   %use regex, look for k_ followed by digits for k
   k_pattern = 'k_*\d*\d';
   [k_startIndex,k_endIndex] = regexp(curr_str,k_pattern);
   
   %grab just the digits
   k_param = curr_str(k_startIndex+2:k_endIndex);
   
   %add the param to list
   k_params = [k_params;str2double(k_param)];
   
   %grab gamma 
   
   %use regex, look for gamma followed by digits potentially w/ decimal 
   gamma_pattern = 'gamma_*\d*.*\d*';
   [gamma_startIndex,gamma_endIndex] = regexp(curr_str,gamma_pattern);
   
   %grab just the digits
   gamma_param = curr_str(gamma_startIndex+6:gamma_endIndex);
   
   %add the param to list
   gamma_params = [gamma_params;str2double(gamma_param)];
end

end

